Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.options
Class BooleanOption

    java.lang.Object
      |
      +--com.sun.jimi.core.options.FormatOption
            |
            +--com.sun.jimi.core.options.BooleanOption

public class BooleanOption
extends FormatOption

FormatOption for boolean values.

Field Summary
`protected boolean` | `booleanValue`

Fields inherited from class com.sun.jimi.core.options.FormatOption
`defaultValue, description, name, possibleValues, value`

Constructor Summary
`BooleanOption(java.lang.String name, java.lang.String description, boolean defaultValue)`

Method Summary
`boolean` | `getBooleanValue()`
`java.lang.Object` | `getValue()`
`void` | `parseValue(java.lang.String value)`
`void` | `setBooleanValue(boolean value)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class com.sun.jimi.core.options.FormatOption
`clone, getDefaultValue, getDescription, getName, getPossibleValues`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### booleanValue

    protected boolean booleanValue

Constructor Detail

### BooleanOption

    public BooleanOption(java.lang.String name,
                         java.lang.String description,
                         boolean defaultValue)

Method Detail

### parseValue

    public void parseValue(java.lang.String value)
                    throws OptionException

  Overrides:
    parseValue in class FormatOption

### setBooleanValue

    public void setBooleanValue(boolean value)

### getBooleanValue

    public boolean getBooleanValue()

### setValue

    public void setValue(java.lang.Object value)
                  throws OptionException

  Overrides:
    setValue in class FormatOption

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class FormatOption

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD